Package org.apache.tomcat.util.net

## Class Constants

- java.lang.Object
- - org.apache.tomcat.util.net.Constants

    public class Constants
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `CATALINA_BASE_PROP` Name of the system property containing the tomcat instance installation path
`static boolean` `IS_SECURITY_ENABLED`
`static java.lang.String` `SSL_PROTO_ALL` JSSE and OpenSSL protocol names
`static java.lang.String` `SSL_PROTO_SSLv2`
`static java.lang.String` `SSL_PROTO_SSLv2Hello`
`static java.lang.String` `SSL_PROTO_SSLv3`
`static java.lang.String` `SSL_PROTO_TLS`
`static java.lang.String` `SSL_PROTO_TLSv1`
`static java.lang.String` `SSL_PROTO_TLSv1_0`
`static java.lang.String` `SSL_PROTO_TLSv1_1`
`static java.lang.String` `SSL_PROTO_TLSv1_2`
`static java.lang.String` `SSL_PROTO_TLSv1_3`

### Constructor Summary

Constructors
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CATALINA_BASE_PROP

    public static final java.lang.String CATALINA_BASE_PROP

Name of the system property containing the tomcat instance installation path

See Also:
  Constant Field Values

#### SSL_PROTO_ALL

    public static final java.lang.String SSL_PROTO_ALL

JSSE and OpenSSL protocol names

See Also:
  Constant Field Values

#### SSL_PROTO_TLS

    public static final java.lang.String SSL_PROTO_TLS

See Also:
  Constant Field Values

#### SSL_PROTO_TLSv1_3

    public static final java.lang.String SSL_PROTO_TLSv1_3

See Also:
  Constant Field Values

#### SSL_PROTO_TLSv1_2

    public static final java.lang.String SSL_PROTO_TLSv1_2

See Also:
  Constant Field Values

#### SSL_PROTO_TLSv1_1

    public static final java.lang.String SSL_PROTO_TLSv1_1

See Also:
  Constant Field Values

#### SSL_PROTO_TLSv1_0

    public static final java.lang.String SSL_PROTO_TLSv1_0

See Also:
  Constant Field Values

#### SSL_PROTO_TLSv1

    public static final java.lang.String SSL_PROTO_TLSv1

See Also:
  Constant Field Values

#### SSL_PROTO_SSLv3

    public static final java.lang.String SSL_PROTO_SSLv3

See Also:
  Constant Field Values

#### SSL_PROTO_SSLv2

    public static final java.lang.String SSL_PROTO_SSLv2

See Also:
  Constant Field Values

#### SSL_PROTO_SSLv2Hello

    public static final java.lang.String SSL_PROTO_SSLv2Hello

See Also:
  Constant Field Values

#### IS_SECURITY_ENABLED

    public static final boolean IS_SECURITY_ENABLED

### Constructor Detail

#### Constants

    public Constants()